[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ShellCtrls' (#lcl)

# TCSLVFileAddedEvent

Specifies an event handler signalled when an item is added to TCustomShellListView.

## Declaration

Source position: shellctrls.pas line 245

`type TCSLVFileAddedEvent = procedure(`
`Sender: TObject;`
`Item: TListItem`
`) of object;`

## Arguments

`Sender` |  | Object (control) generating the event notification.
`Item` |  | List item for the event notification.

## Description

TCSLVFileAddedEvent specifies the interface for an event handler signalled when a TListItem instance is added to TCustomShellListView. TCSLVFileAddedEvent is the type used to implement the OnAddItem property in TCustomShellListView.

Applications must implement and assign an object procedure using the event signature to respond to the notification. Sender must be cast to the correct class type to access properties and methods in the control for the notification. Or, use the ListView property in the Item argument.

## See also

TCustomShellListView.OnAddItem |  | Event handler signalled to determine if the specified file information can be added to the Items for the list view.
TListItem |  | Represents the items created in TCustomListView and descendants.